import { jsx as _jsx } from "react/jsx-runtime";
import PropTypes from 'prop-types';
import LayoutGridItem from './gridItem';
import cx from 'classnames';
import { ALIGN_ITEMS, BASE_CLASS, JUSTIFY_CONTENT } from './settings';

function LayoutGrid(_ref) {
  var alignItems = _ref.alignItems,
      children = _ref.children,
      justifyContent = _ref.justifyContent,
      _ref$isGapless = _ref.isGapless,
      isGapless = _ref$isGapless === void 0 ? false : _ref$isGapless;
  var classNames = cx("" + BASE_CLASS, alignItems && BASE_CLASS + "--ai-" + alignItems, justifyContent && BASE_CLASS + "--jc-" + justifyContent, isGapless && "is-gapless");
  return /*#__PURE__*/_jsx("div", {
    className: classNames,
    children: children
  });
}

LayoutGrid.displayName = 'LayoutGrid';
export default LayoutGrid;
export { LayoutGridItem, ALIGN_ITEMS as LayoutGridAlignItems, JUSTIFY_CONTENT as LayoutGridJustifyContent };